#import <Foundation/Foundation.h>
#import <mPOS2SDK/mPOS2SDK-Swift.h>
#import "ResponseParamValue.h"

@interface LogData : NSObject

- (NSString *)toString;
- (void)clear;
- (void)addResponse:(NSArray<ResponseParamValue *> *)response;

+ (NSArray<ResponseParamValue *> *)sortedPaymentParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSArray<ResponseParamValue *> *)sortedSearchParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSArray<ResponseParamValue *> *)sortedMailParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSArray<ResponseParamValue *> *)sortedRefundParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSArray<ResponseParamValue *> *)sortedCancelParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSArray<ResponseParamValue *> *)sortedPasswordChangeParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSArray<ResponseParamValue *> *)sortedReportParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSArray<ResponseParamValue *> *)sortedUpdateBTParams:
    (NSDictionary<MposResponseParam *, id> *)response;
+ (NSString *)stringFromResponseObject:(ResponseParamValue *)obj;
+ (NSString *)stringFromResponseArray:(NSArray<ResponseParamValue *> *)array;

@end
