#import "MenuViewController.h"
#import "MailViewController.h"
#import "PasswordViewController.h"
#import "PaymentViewController.h"
#import "ReaderAppUpdateBTViewController.h"
#import "RefundViewController.h"
#import "ReportViewController.h"
#import "SearchViewController.h"
#import "SettingViewController.h"

@interface MenuViewController ()
@end

@implementation MenuViewController

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSArray<NSString *> *identifiers = @[
        NSStringFromClass([PaymentViewController class]),
        NSStringFromClass([SearchViewController class]),
        NSStringFromClass([MailViewController class]),
        NSStringFromClass([RefundViewController class]),
        NSStringFromClass([PasswordViewController class]),
        NSStringFromClass([ReportViewController class]),
        NSStringFromClass([ReaderAppUpdateBTViewController class]),
        NSStringFromClass([SettingViewController class])
    ];

    [self.navigationController
        pushViewController:[[self storyboard]
                               instantiateViewControllerWithIdentifier:identifiers[indexPath.row]]
                  animated:YES];
}

@end
