#import <Foundation/Foundation.h>
#import <mPOS2SDK/mPOS2SDK-Swift.h>

typedef NS_ENUM(NSInteger, ResponseParamValueStatus) {
    ResponseParamValueStatusOk,
    ResponseParamValueStatusMissing,
    ResponseParamValueStatusUnused,
};

@interface ResponseParamValue : NSObject

@property(readwrite, nonatomic) MposResponseParam *param;
@property(readwrite, nonatomic) id value;
@property(readwrite, nonatomic) ResponseParamValueStatus status;
@property(readwrite, nonatomic) BOOL isBraces;

- (instancetype)initWithParam:(MposResponseParam *)param
                        value:(id)value
                       status:(ResponseParamValueStatus)status
                     isBraces:(BOOL)isBraces;

@end
