#import <Foundation/Foundation.h>
#import <mPOS2SDK/mPOS2SDK-Swift.h>

@interface SettingData : NSObject <NSCoding>

@property(nonatomic, strong) NSString *userID;
@property(nonatomic, strong) NSString *userPassword;
@property(nonatomic, strong) NSString *merchantPassword;
@property(nonatomic, strong) NSString *readerType;
@property(nonatomic, strong) NSString *appNameType;
@property(nonatomic, strong) NSString *appVersion;
@property(nonatomic, strong) NSString *locale;
@property(nonatomic, strong) NSString *cardThreeWay;
@property(nonatomic, strong) NSString *cameraFacing;
@property(nonatomic, strong) NSNumber *isUserPassword;
@property(nonatomic, strong) NSNumber *isMerchantPassword;
@property(nonatomic, strong) NSNumber *isReaderType;
@property(nonatomic, strong) NSNumber *isCardThreeWay;
@property(nonatomic, strong) NSNumber *isCameraFacing;

+ (instancetype)settingData;
- (void)save;

@end

@interface SettingData (MposHandler)

+ (NSDictionary *)requestHeader;

@end
